# Ds\Collection::copy

(PECL ds >= 1.0.0)

Ds\Collection::copy — Returns a shallow copy of the collection

### Description

abstract public Ds\Collection::copy ( void ) : Ds\Collection

Returns a shallow copy of the collection.

### Parameters

This function has no parameters.

### Return Values

Returns a shallow copy of the collection.

### Examples

Example #1 Ds\Collection::copy() example

`<?php
$a = new \Ds\Vector([1, 2, 3]);
$b = $a->copy();
$b->push(4);
print_r($a);
print_r($b);
?>`

The above example will output something similar to:

    Ds\Vector Object
    (
        [0] => 1
        [1] => 2
        [2] => 3
    )
    Ds\Vector Object
    (
        [0] => 1
        [1] => 2
        [2] => 3
        [3] => 4
    )